Subject: Re: [PATCH 10/12] drivers: PMC MSP71xx ethernet driver

From: Jeff Garzik <[email-masked]>
Date: Thu, 24 May 2007 18:25:36 -0400

Marc St-Jean wrote:
> I asked if the remaining section (above) was acceptable so we could retain our
> buffer recycling which enhances throughput. I never received a rely so it was
> left in my last patch.
> 
> The above comment now answers my part of my initial question. Are you aware of
> a better way to implement this or must we lose all our recycling enhancements?

You can poke around on netdev and ask about skb recycling in a new 
thread, and propose something.

I just know that having your own custom skb initialization is a 
non-starter.  Any updates the main skb init code receives will 
inevitably -not- be propagate to your code, rapidly leading to an 
unmaintainable disconnect.

skb recycling in general is an interesting area to explore, and others 
have poked around that area before.  I bet googling for skb recycling 
would turn up some useful thoughts and past efforts.

	Jeff